跳转到主要内容
POST

授权

X-API-KEY
string
header
必填

Your secret API key obtained from the Clink dashboard (Developers section)

请求头

X-Timestamp
string
必填

Current timestamp in milliseconds since Unix epoch (required for request signing)

示例:

"1783513683000"

请求体

application/json

Parameters required to create a price by API

productId
string
必填

Unique identifier of the product

currency
enum<string>
必填

Three-letter ISO currency code

可用选项:
USD,
EUR,
JPY,
GBP,
AUD,
CAD,
CNY,
HKD,
SGD,
KRW,
AED,
THB,
IDR,
PHP,
MYR,
BRL,
INR
unitAmount
number
必填

Unit amount for one-time or recurring base price

示例:

29.99

priceType
enum<string>
必填

Price type

可用选项:
one_time,
recurring
recurringDetails
object

Details of the Subscription

priority
integer<int32>

Regional pricing priority. Lower values have higher priority.

isDefaultPrice
boolean

Whether this price should be the product default price

响应

Price created successfully

Body of the response message

code
integer<int32>

Response status code, 200 when success

msg
string

Brief description of what happened, 'success' when happy case

data
object